# Reference Types

Reference Types

 - [GET /referenceTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/reference-types/listreferencetypes.md): This method will scan all reference types and and return them to the caller.
 - [POST /referenceTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/reference-types/createreferencetype.md): This method will auto-generate an ID and create a new reference type. If an ID is specified for the reference type, an error will be thrown.
 - [POST /referenceTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/reference-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /referenceTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/reference-types/deletereferencetype.md): This method will delete a reference type with the specified ID.
 - [GET /referenceTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/reference-types/getreferencetype.md): This method will look up a reference type by the specified ID and return it back.
 - [PATCH /referenceTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/reference-types/patchreferencetype.md): This method will patch an existing reference type with the specified ID, using the HTTP PATCH specification.
 - [PUT /referenceTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/reference-types/updatereferencetype.md): This method will update an existing reference type with the specified ID.
